Subject: Re: [dhcwg] New Version Notification for draft-ietf-dhc-rfc3315bis-12.txt

From: "Bernie Volz (volz)" <[email-masked]>
Date: Sun, 4 Mar 2018 21:04:16 +0000

Hi:

In reviewing this document, I noticed that I accidentally posted a version that was missing the last set of edits (related to cleaning up T1/T2 times/values/parameters and addressing one last issue from Eric's review in the Security Considerations).

I also noticed two errors in the document:
1. Table 4 had "Yes" for including the Unicast (12) option in the Option Request Option, but the text in section 21.7 said that is MUST NOT be included. So, that table was corrected to have "No".
2. The Option Request Option (S21.7) did not include the Status Code Option (13) in the list of MUST NOT include options, this has been added.

I have published an updated version to correct these issues.

Many that have not looked at the -11, may want to compare the -12 and -10 version using the following URL:

https://tools.ietf.org/rfcdiff?url1=https://tools.ietf.org/id/draft-ietf-dhc-rfc3315bis-12.txt&url2=https://tools.ietf.org/id/draft-ietf-dhc-rfc3315bis-10.txt

Sorry for my error.

- Bernie

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Sunday, March 04, 2018 3:55 PM
To: Andrew Yourtchenko (ayourtch) <[email-masked]>; Marcin Siodelski <[email-masked]>; Tomek Mrugalski <[email-masked]>; Timothy Winters <[email-masked]>; [email-masked]; Michael Richardson <[email-masked]>; Ted Lemon <[email-masked]>; Bernie Volz (volz) <[email-masked]>; Ted Lemon <[email-masked]>; Michael C. Richardson <[email-masked]>; Sheng Jiang <[email-masked]>
Subject: New Version Notification for draft-ietf-dhc-rfc3315bis-12.txt

A new version of I-D, draft-ietf-dhc-rfc3315bis-12.txt has been successfully submitted by Bernie Volz and posted to the IETF repository.

Name:		draft-ietf-dhc-rfc3315bis
Revision:	12
Title:		Dynamic Host Configuration Protocol for IPv6 (DHCPv6) bis
Document date:	2018-03-04
Group:		dhc
Pages:		147
URL:            https://www.ietf.org/internet-drafts/draft-ietf-dhc-rfc3315bis-12.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-dhc-rfc3315bis/
Htmlized:       https://tools.ietf.org/html/draft-ietf-dhc-rfc3315bis-12
Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-dhc-rfc3315bis-12
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-dhc-rfc3315bis-12

Abstract:
   This document describes the Dynamic Host Configuration Protocol for
   IPv6 (DHCPv6): an extensible mechanism for configuring nodes with
   network configuration parameters, IP addresses, and prefixes.
   Parameters can be provided statelessly, or in combination with
   stateful assignment of one or more IPv6 addresses and/or IPv6
   prefixes.  DHCPv6 can operate either in place of or in addition to
   stateless address autoconfiguration (SLAAC).

   This document updates the text from RFC3315, the original DHCPv6
   specification, and incorporates prefix delegation (RFC3633),
   stateless DHCPv6 (RFC3736), an option to specify an upper bound for
   how long a client should wait before refreshing information
   (RFC4242), a mechanism for throttling DHCPv6 clients when DHCPv6
   service is not available (RFC7083), incorporates relay agent handling
   of unknown messages (RFC7283), and clarifies the interactions between
   modes of operation (RFC7550).  As such, this document obsoletes
   RFC3315, RFC3633, RFC3736, RFC4242, RFC7083, RFC7283, and RFC7550.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat